FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 06-18-2012, 07:57 PM
Harry Putnam
 
Default Don't understand downgrade to kernel-3.2.16

Setup:

Running a basic-ish setup with no X configured.

This is gentoo running as virtual guest on win7 using Virtual Box.

Today I ran eix-sync followed by emerge -vuDp world.

One thing in the output puzzles me:

[ebuild NS ] sys-kernel-sources-3.2.16 [3.2.6, 3.3.4] [...]

What would cause something like this, when I'm booting 3.3.4?

I do have this in /etc/portage/package

>=sys-kernel/gentoo-sources-3.3.5

In case you would need to know what else came up, the full ouput looks
like:

These are the packages that would be merged, in order:

Calculating dependencies ... done!
[ebuild U ] sys-apps/hwids-20120611 [20120512] 358 kB
[ebuild U ] app-arch/gzip-1.5 [1.4] USE="nls -pic -static" 705 kB
[ebuild U ] sys-apps/debianutils-4.3.1 [4.3] USE="-static" 196 kB
[ebuild U ] sys-apps/openrc-0.10.3 [0.10.2] USE="ncurses pam unicode -debug (-selinux) -static-libs" 168 kB
[ebuild N ] virtual/perl-ExtUtils-Constant-0.230.0-r2 0 kB
[ebuild N ] perl-core/Socket-2.2.0 36 kB
[ebuild N ] virtual/perl-Socket-2.2.0 0 kB
[ebuild U ] dev-perl/IO-Socket-SSL-1.750.0 [1.740.0] USE="-idn" 74 kB
[ebuild U ] mail-mta/sendmail-8.14.5-r2 [8.14.5-r1] USE="mbox sasl ssl tcpd -ipv6 -ldap -nis -sockets" 0 kB
[ebuild U ] sys-libs/e2fsprogs-libs-1.42.4 [1.42.3] USE="nls -static-libs" 502 kB
[ebuild U ] net-libs/gnutls-2.12.20 [2.12.19] USE="cxx nettle nls zlib -bindist -doc -examples -guile -lzo -pkcs11 -static-libs -test" 7,062 kB
[ebuild U ] sys-fs/e2fsprogs-1.42.4 [1.42.3] USE="nls -static-libs" 5,736 kB
[ebuild U ] app-admin/rsyslog-6.2.2 [6.2.1] USE="ssl zlib -dbi -debug -doc -extras -kerberos -mysql -oracle -postgres -relp -snmp -static-libs -zeromq" 2,376 kB
[ebuild NS ] sys-kernel/gentoo-sources-3.2.16 [3.2.6, 3.3.4] USE="-build -deblob -symlink" 322 kB

Total: 14 packages (10 upgrades, 3 new, 1 in new slot), Size of downloads: 17,530 kB
 
Old 06-18-2012, 08:05 PM
Michael Hampicke
 
Default Don't understand downgrade to kernel-3.2.16

Am 18.06.2012 21:57, schrieb Harry Putnam:
> Setup:
>
> Running a basic-ish setup with no X configured.
>
> This is gentoo running as virtual guest on win7 using Virtual Box.
>
> Today I ran eix-sync followed by emerge -vuDp world.
>
> One thing in the output puzzles me:
>
> [ebuild NS ] sys-kernel-sources-3.2.16 [3.2.6, 3.3.4] [...]
>
> What would cause something like this, when I'm booting 3.3.4?
>

I'd say you still have a slotted package of gentoo-sources-3.2.*
installed. So portage will upgrade gentoo-sources-3.2.* and
gentoo-sources-3.3.*

Check with emerge -p --prune gentoo-sources
 
Old 06-18-2012, 08:49 PM
Harry Putnam
 
Default Don't understand downgrade to kernel-3.2.16

Michael Hampicke <gentoo-user@hadt.biz> writes:

> Am 18.06.2012 21:57, schrieb Harry Putnam:
>> Setup:
>>
>> Running a basic-ish setup with no X configured.
>>
>> This is gentoo running as virtual guest on win7 using Virtual Box.
>>
>> Today I ran eix-sync followed by emerge -vuDp world.
>>
>> One thing in the output puzzles me:
>>
>> [ebuild NS ] sys-kernel-sources-3.2.16 [3.2.6, 3.3.4] [...]
>>
>> What would cause something like this, when I'm booting 3.3.4?
>>
>
> I'd say you still have a slotted package of gentoo-sources-3.2.*
> installed. So portage will upgrade gentoo-sources-3.2.* and
> gentoo-sources-3.3.*
>
> Check with emerge -p --prune gentoo-sources

Thanks... yes, that was what was happening.

Sorry about the line noise for something so basic
 
Old 06-18-2012, 09:43 PM
Michael Hampicke
 
Default Don't understand downgrade to kernel-3.2.16

Am 18.06.2012 22:49, schrieb Harry Putnam:
> Michael Hampicke <gentoo-user@hadt.biz> writes:
>
>> Am 18.06.2012 21:57, schrieb Harry Putnam:
>>> Setup:
>>>
>>> Running a basic-ish setup with no X configured.
>>>
>>> This is gentoo running as virtual guest on win7 using Virtual Box.
>>>
>>> Today I ran eix-sync followed by emerge -vuDp world.
>>>
>>> One thing in the output puzzles me:
>>>
>>> [ebuild NS ] sys-kernel-sources-3.2.16 [3.2.6, 3.3.4] [...]
>>>
>>> What would cause something like this, when I'm booting 3.3.4?
>>>
>>
>> I'd say you still have a slotted package of gentoo-sources-3.2.*
>> installed. So portage will upgrade gentoo-sources-3.2.* and
>> gentoo-sources-3.3.*
>>
>> Check with emerge -p --prune gentoo-sources
>
> Thanks... yes, that was what was happening.
>
> Sorry about the line noise for something so basic
>

No problem, same thing happend to me a few weeks ago. I did not pay
attention, installed and compiled a "new" 3.3 kernel while running a 3.4
kernel. When I rebooted the next day and saw that it was booting a 3.3
series kernel I was like "whut? wait, what now?"
 
Old 06-19-2012, 01:58 AM
Harry Putnam
 
Default Don't understand downgrade to kernel-3.2.16

Michael Hampicke <gentoo-user@hadt.biz> writes:

>>> I'd say you still have a slotted package of gentoo-sources-3.2.*
>>> installed. So portage will upgrade gentoo-sources-3.2.* and
>>> gentoo-sources-3.3.*
>>>
>>> Check with emerge -p --prune gentoo-sources

What I had installed was 3.2.6... so why would emerge want to install
something older? (3.2.16) I don't get that.

But anyway I let the prune command run, removing 3.2.6 I then
manually removed /lib/modules/3.2.6 and what was left of /usr/src/linux-3.2.6

eix now shows that 3.3.4 is the only kernel installed,

eix -Ic gentoo-sources

,----
| # eix -Ic gentoo-sources [D] sys-kernel/gentoo-sources
| (3.3.4(3.3.4)@04/29/12 -> 3.0.17-r2(3.0.17-r2)^bs
| (~)3.0.33(3.0.33)^bs 3.1.10-r1(3.1.10-r1)^bs 3.2.1-r2(3.2.1-r2)^bs
| 3.2.12(3.2.12)^bs (~)3.2.14(3.2.14)^bs (~)3.2.16(3.2.16)^bs): Full
| sources including the Gentoo patchset for the 3.4 kernel tree
`----

But still the last line of output from: emerge -vuDp world:

,----
| [ebuild NS ] sys-kernel/gentoo-sources-3.2.16 [3.3.4] USE="-build
| -deblob -symlink" 322 kB
`----

I guess I'm still a bit confused.
 
Old 06-19-2012, 02:08 AM
Harry Putnam
 
Default Don't understand downgrade to kernel-3.2.16

Harry Putnam <reader@newsguy.com> writes:

> Michael Hampicke <gentoo-user@hadt.biz> writes:
>
>>>> I'd say you still have a slotted package of gentoo-sources-3.2.*
>>>> installed. So portage will upgrade gentoo-sources-3.2.* and
>>>> gentoo-sources-3.3.*
>>>>
>>>> Check with emerge -p --prune gentoo-sources
>
> What I had installed was 3.2.6... so why would emerge want to install
> something older? (3.2.16) I don't get that.

Egad... I think I see now.... when I looked at my last post is
suddenly dawned that 16 comes after 6 hehe. I was seeing 16 and
thinking 1.6 I guess.
 

Thread Tools




All times are GMT. The time now is 07:57 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org